# SphinxClient::setMaxQueryTime

(PECL sphinx >= 0.1.0)

SphinxClient::setMaxQueryTime — Set maximum query time

### Description

public SphinxClient::setMaxQueryTime ( int `$qtime` ) : bool

Sets maximum search query time.

### Parameters

`qtime`

  Maximum query time, in milliseconds. It must be a non-negative integer. Default value is 0, i.e. no limit.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.